GDB (xrefs)

Public Attributes | List of all members
stpy_symtab_object Struct Reference

## Public Attributes
PyObject_HEAD struct symtab * | symtab
struct stpy_symtab_object * | prev
struct stpy_symtab_object * | next

## Detailed Description

Definition at line 29 of file py-symtab.c.

## Member Data Documentation

## ◆ next

struct stpy_symtab_object* stpy_symtab_object::next

Definition at line 38 of file py-symtab.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), del_objfile_symtab(), and set_symtab().

## ◆ prev

struct stpy_symtab_object* stpy_symtab_object::prev

Definition at line 37 of file py-symtab.c.

Referenced by del_objfile_symtab(), and set_symtab().

## ◆ symtab

PyObject_HEAD struct symtab* stpy_symtab_object::symtab

Definition at line 32 of file py-symtab.c.

Referenced by del_objfile_symtab(), salpy_dealloc(), salpy_str(), set_sal(), and set_symtab().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-symtab.c